//
//  AppDelegate.swift
//  SwiftSVGOptCrash
//
//  Created by Adam Fedor on 4/24/18.
//  Copyright © 2018 T1V. All rights reserved.
//

import Cocoa

@NSApplicationMain
class AppDelegate: NSObject, NSApplicationDelegate {

  @IBOutlet weak var window: NSWindow!
  
  var swiftImageLoader: SVGImageLoader?

  func applicationDidFinishLaunching(_ aNotification: Notification) {
    if let url = Bundle.main.url(forResource: "ukulele", withExtension: "svg") {
      swiftImageLoader = SVGImageLoader(url: url)
    }
    swiftImageLoader?.loadImage()
  }

  func applicationWillTerminate(_ aNotification: Notification) {
    // Insert code here to tear down your application
  }


}

