//
//  SVGImageLoader.swift
//  SwiftSVGOptCrash
//
//  Created by Adam Fedor on 4/24/18.
//

import Cocoa
import SwiftSVG

class SVGImageLoader: NSObject {
  var imageURL: URL
  var imageLoaded = false
  
  init(url: URL) {
    imageURL = url
    super.init()
  }
  
  func loadImage() {
    CALayer(SVGURL: imageURL) { [weak self] (svgLayer: SVGLayer) in
      self?.imageLoaded = true
      print("Image was loaded")
    }
    
  }

}
